local player, targetEmitter
function OnScriptLoaded(level, obj)
  player = game.Player.FindPlayer()
  targetEmitter = obj.SoundEmitters[1]
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function TempleChainTension()
  if player:IsPlayingMove("MOV_TNF_TempleFlip_Struggle1Stuck") or player:IsPlayingMove("MOV_TNF_TempleFlip_Struggle2Stuck") or player:IsPlayingMove("MOV_TNF_TempleFlip_Struggle1Success") or player:IsPlayingMove("MOV_TNF_TempleFlip_Struggle2Success") then
    return player:GetActiveMovePercent() * 100
  end
end
function Velocity()
  if targetEmitter ~= nil then
    return targetEmitter:GetVelocity()
  else
    return 0
  end
end
function VelocityScaledBy10()
  return Velocity() * 10
end
